Growth

Semantic review search

POST
/api/v1/reviews/search

Vector similarity search over review embeddings (pgvector).

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

Semantic search over review embeddings (pgvector).

limit?integer
Range1 <= value <= 50
Default10
query*string
Length2 <= length <= 400
sentiment?|

Value in

  • "POSITIVE"
  • "NEUTRAL"
  • "NEGATIVE"
topic?string|null

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/reviews/search" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{  "data": [    {      "review": {        "author_name": "string",        "body": "string",        "daypart": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "is_simulated": true,        "is_verified_purchase": true,        "primary_topic": "string",        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "rating": 0,        "review_date": "2019-08-24",        "reviewed_at": "2019-08-24T14:15:22Z",        "sentiment": "string",        "sentiment_score": 0,        "source": "string",        "title": "string",        "topics": [          "string"        ]      },      "similarity": 0    }  ],  "meta": {},  "success": true}